@Echo off

mkdir ca
mkdir ca\certs
mkdir ca\crl
mkdir ca\newcerts
mkdir ca\private
mkdir ca\temp
copy nul ca\index.txt > nul
echo 01> ca\serial
openssl req -new -x509 -keyout ca\private\CAkey.pem -out ca\CAcert.pem -config openssl.conf -days 3650

mkdir ca\temp\server
openssl req -nodes -config openssl.conf -new -newkey rsa:1024 -keyout ca\temp\server\server.key -out ca\temp\server\server.req
openssl ca -config openssl.conf -policy policy_anything -notext -in ca\temp\server\server.req -out ca\temp\server\server.crt
copy ca\temp\server\server.key + ca\temp\server\server.crt ca\temp\server\server.pem > nul
copy ca\temp\server\server.pem wem.pem > nul
copy ca\CAcert.pem caroot.cer > nul

rmdir /S /Q CA > nul
